
QGIS Application - Feature request #2057

fTools OK button should be masked out during operations

2009-11-06 08:09 AM - cfarmer -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12117

Description

When clicking Ok on the fTools dialogs, during operation, the Ok button remains active, meaning it can be clicked multiple times... this

might cause users to run the same analysis more than once without meaning to...

Associated revisions

Revision a270bde0 - 2010-05-14 12:55 AM - cfarmer -

New warning when creating empty multipart layer; Ok button disabled on all functions while running; General bug fixes. Fixes #2260, #2057, and #1986.

Another great patch from alexbruy :-)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13481 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f4760f23 - 2010-05-14 12:55 AM - cfarmer -

New warning when creating empty multipart layer; Ok button disabled on all functions while running; General bug fixes. Fixes #2260, #2057, and #1986.

Another great patch from alexbruy :-)

git-svn-id: http://svn.osgeo.org/qgis/trunk@13481 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-04-14 04:59 AM - Alexander Bruy

Patch to fix this issue attached. Also in this patch removed some code duplication (same functions in doSomething file and in ftools_utils file)

#2 - 2010-05-05 02:42 AM - Alexander Bruy

Related ticket #1986

#3 - 2010-05-13 03:56 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied in .

Carson
Files

disable_ok_button.diff 35.9 KB 2010-04-15 Alexander Bruy
